io.vertx.rxjava.sqlclient

## Class Tuple

- java.lang.Object
- - io.vertx.rxjava.sqlclient.Tuple

- Direct Known Subclasses:
    Row

      public class Tuple
      extends Object

  A general purpose tuple.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Tuple>` | `__TYPE_ARG`
    `static Object` | `JSON_NULL` The JSON null literal value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tuple(io.vertx.sqlclient.Tuple delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tuple` | `addBigDecimal(BigDecimal value)` Add a value at the end of the tuple.
    `Tuple` | `addBoolean(Boolean value)` Add a boolean value at the end of the tuple.
    `Tuple` | `addBooleanArray(Boolean[] value)` Add an array of `Boolean` value at the end of the tuple.
    `Tuple` | `addBuffer(Buffer value)` Add a buffer value at the end of the tuple.
    `Tuple` | `addDouble(Double value)` Add a double value at the end of the tuple.
    `Tuple` | `addDoubleArray(Double[] value)` Add an array of `Double` value at the end of the tuple.
    `Tuple` | `addFloat(Float value)` Add a float value at the end of the tuple.
    `Tuple` | `addFloatArray(Float[] value)` Add an array of `Float` value at the end of the tuple.
    `Tuple` | `addInteger(Integer value)` Add an integer value at the end of the tuple.
    `Tuple` | `addIntegerArray(Integer[] value)` Add an array of `Integer` value at the end of the tuple.
    `Tuple` | `addLocalDate(java.time.LocalDate value)` Add a `LocalDate` value at the end of the tuple.
    `Tuple` | `addLocalDateArray(java.time.LocalDate[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addLocalDateTime(java.time.LocalDateTime value)` Add a `LocalDateTime` value at the end of the tuple.
    `Tuple` | `addLocalDateTimeArray(java.time.LocalDateTime[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addLocalTime(java.time.LocalTime value)` Add a `LocalTime` value at the end of the tuple.
    `Tuple` | `addLocalTimeArray(java.time.LocalTime[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addLong(Long value)` Add a long value at the end of the tuple.
    `Tuple` | `addLongArray(Long[] value)` Add an array of `Long` value at the end of the tuple.
    `Tuple` | `addOffsetDateTime(java.time.OffsetDateTime value)` Add a `OffsetDateTime` value at the end of the tuple.
    `Tuple` | `addOffsetDateTimeArray(java.time.OffsetDateTime[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addOffsetTime(java.time.OffsetTime value)` Add a `OffsetTime` value at the end of the tuple.
    `Tuple` | `addOffsetTimeArray(java.time.OffsetTime[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addShort(Short value)` Add a short value at the end of the tuple.
    `Tuple` | `addShortArray(Short[] value)` Add an array of `Short` value at the end of the tuple.
    `Tuple` | `addString(String value)` Add a string value at the end of the tuple.
    `Tuple` | `addStringArray(String[] value)` Add an array of `String` value at the end of the tuple.
    `Tuple` | `addTemporal(java.time.temporal.Temporal value)` Add a `Temporal` value at the end of the tuple.
    `Tuple` | `addUUID(UUID value)` Add a `UUID` value at the end of the tuple.
    `Tuple` | `addUUIDArray(UUID[] value)` Add an array of value at the end of the tuple.
    `Tuple` | `addValue(Object value)` Add an object value at the end of the tuple.
    `void` | `clear()`
    `boolean` | `equals(Object o)`
    `<T> T` | `get(Class<T> type, int pos)`
    `BigDecimal` | `getBigDecimal(int pos)` Get value at `pos`.
    `Boolean` | `getBoolean(int pos)` Get a boolean value at `pos`.
    `Boolean[]` | `getBooleanArray(int pos)` Get an array of `Boolean` value at `pos`.
    `Buffer` | `getBuffer(int pos)` Get a buffer value at `pos`.
    `io.vertx.sqlclient.Tuple` | `getDelegate()`
    `Double` | `getDouble(int pos)` Get a double value at `pos`.
    `Double[]` | `getDoubleArray(int pos)` Get an array of `Double` value at `pos`.
    `Float` | `getFloat(int pos)` Get a float value at `pos`.
    `Float[]` | `getFloatArray(int pos)` Get an array of `Float` value at `pos`.
    `Integer` | `getInteger(int pos)` Get an integer value at `pos`.
    `Integer[]` | `getIntegerArray(int pos)` Get an array of `Integer` value at `pos`.
    `java.time.LocalDate` | `getLocalDate(int pos)` Get `LocalDate` value at `pos`.
    `java.time.LocalDate[]` | `getLocalDateArray(int pos)` Get an array of value at `pos`.
    `java.time.LocalDateTime` | `getLocalDateTime(int pos)` Get `LocalDateTime` value at `pos`.
    `java.time.LocalDateTime[]` | `getLocalDateTimeArray(int pos)` Get an array of value at `pos`.
    `java.time.LocalTime` | `getLocalTime(int pos)` Get `LocalTime` value at `pos`.
    `java.time.LocalTime[]` | `getLocalTimeArray(int pos)` Get an array of value at `pos`.
    `Long` | `getLong(int pos)` Get a long value at `pos`.
    `Long[]` | `getLongArray(int pos)` Get an array of `Long` value at `pos`.
    `java.time.OffsetDateTime` | `getOffsetDateTime(int pos)` Get `OffsetDateTime` value at `pos`.
    `java.time.OffsetDateTime[]` | `getOffsetDateTimeArray(int pos)` Get an array of value at `pos`.
    `java.time.OffsetTime` | `getOffsetTime(int pos)` Get `OffsetTime` value at `pos`.
    `java.time.OffsetTime[]` | `getOffsetTimeArray(int pos)` Get an array of value at `pos`.
    `Short` | `getShort(int pos)` Get a short value at `pos`.
    `Short[]` | `getShortArray(int pos)` Get an array of `Short` value at `pos`.
    `String` | `getString(int pos)` Get a string value at `pos`.
    `String[]` | `getStringArray(int pos)` Get an array of `String` value at `pos`.
    `java.time.temporal.Temporal` | `getTemporal(int pos)` Get a `Temporal` value at `pos`.
    `UUID` | `getUUID(int pos)` Get `UUID` value at `pos`.
    `UUID[]` | `getUUIDArray(int pos)` Get an array of value at `pos`.
    `Object` | `getValue(int pos)` Get an object value at `pos`.
    `int` | `hashCode()`
    `static Tuple` | `newInstance(io.vertx.sqlclient.Tuple arg)`
    `static Tuple` | `of(Object elt1)` Create a tuple of one element.
    `static Tuple` | `of(Object elt1, Object elt2)` Create a tuple of two elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3)` Create a tuple of three elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4)` Create a tuple of four elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4, Object elt5)` Create a tuple of five elements.
    `static Tuple` | `of(Object elt1, Object elt2, Object elt3, Object elt4, Object elt5, Object elt6)` Create a tuple of six elements.
    `int` | `size()`
    `String` | `toString()`
    `static Tuple` | `tuple()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Tuple> __TYPE_ARG

    - #### JSON_NULL

          public static final Object JSON_NULL

      The JSON null literal value.
      It is used to distinguish a JSON null literal value from the Java `null` value. This is only used when the database supports JSON types.

  - ### Constructor Detail

    - #### Tuple

          public Tuple(io.vertx.sqlclient.Tuple delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public io.vertx.sqlclient.Tuple getDelegate()

    - #### tuple

          public static Tuple tuple()

      Returns:
        a new empty tuple

    - #### of

          public static Tuple of(Object elt1)

      Create a tuple of one element.
      Parameters:
        `elt1` - the first value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2)

      Create a tuple of two elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2,
                                 Object elt3)

      Create a tuple of three elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2,
                                 Object elt3,
                                 Object elt4)

      Create a tuple of four elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
        `elt4` - the fourth value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2,
                                 Object elt3,
                                 Object elt4,
                                 Object elt5)

      Create a tuple of five elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second value
        `elt3` - the third value
        `elt4` - the fourth value
        `elt5` - the fifth value
      Returns:
        the tuple

    - #### of

          public static Tuple of(Object elt1,
                                 Object elt2,
                                 Object elt3,
                                 Object elt4,
                                 Object elt5,
                                 Object elt6)

      Create a tuple of six elements.
      Parameters:
        `elt1` - the first value
        `elt2` - the second valueg
        `elt3` - the third value
        `elt4` - the fourth value
        `elt5` - the fifth value
        `elt6` - the sixth value
      Returns:
        the tuple

    - #### getBoolean

          public Boolean getBoolean(int pos)

      Get a boolean value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getValue

          public Object getValue(int pos)

      Get an object value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getShort

          public Short getShort(int pos)

      Get a short value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getInteger

          public Integer getInteger(int pos)

      Get an integer value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLong

          public Long getLong(int pos)

      Get a long value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getFloat

          public Float getFloat(int pos)

      Get a float value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getDouble

          public Double getDouble(int pos)

      Get a double value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getString

          public String getString(int pos)

      Get a string value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBuffer

          public Buffer getBuffer(int pos)

      Get a buffer value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### addBoolean

          public Tuple addBoolean(Boolean value)

      Add a boolean value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addValue

          public Tuple addValue(Object value)

      Add an object value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addShort

          public Tuple addShort(Short value)

      Add a short value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addInteger

          public Tuple addInteger(Integer value)

      Add an integer value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLong

          public Tuple addLong(Long value)

      Add a long value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addFloat

          public Tuple addFloat(Float value)

      Add a float value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addDouble

          public Tuple addDouble(Double value)

      Add a double value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addString

          public Tuple addString(String value)

      Add a string value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBuffer

          public Tuple addBuffer(Buffer value)

      Add a buffer value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### get

          public <T> T get(Class<T> type,
                           int pos)

    - #### size

          public int size()

      Returns:
        the tuple size

    - #### clear

          public void clear()

    - #### getTemporal

          public java.time.temporal.Temporal getTemporal(int pos)

      Get a `Temporal` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDate

          public java.time.LocalDate getLocalDate(int pos)

      Get `LocalDate` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalTime

          public java.time.LocalTime getLocalTime(int pos)

      Get `LocalTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateTime

          public java.time.LocalDateTime getLocalDateTime(int pos)

      Get `LocalDateTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetTime

          public java.time.OffsetTime getOffsetTime(int pos)

      Get `OffsetTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetDateTime

          public java.time.OffsetDateTime getOffsetDateTime(int pos)

      Get `OffsetDateTime` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getUUID

          public UUID getUUID(int pos)

      Get `UUID` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBigDecimal

          public BigDecimal getBigDecimal(int pos)

      Get value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getIntegerArray

          public Integer[] getIntegerArray(int pos)

      Get an array of `Integer` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getBooleanArray

          public Boolean[] getBooleanArray(int pos)

      Get an array of `Boolean` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getShortArray

          public Short[] getShortArray(int pos)

      Get an array of `Short` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLongArray

          public Long[] getLongArray(int pos)

      Get an array of `Long` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getFloatArray

          public Float[] getFloatArray(int pos)

      Get an array of `Float` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getDoubleArray

          public Double[] getDoubleArray(int pos)

      Get an array of `Double` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getStringArray

          public String[] getStringArray(int pos)

      Get an array of `String` value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateArray

          public java.time.LocalDate[] getLocalDateArray(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalTimeArray

          public java.time.LocalTime[] getLocalTimeArray(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetTimeArray

          public java.time.OffsetTime[] getOffsetTimeArray(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getLocalDateTimeArray

          public java.time.LocalDateTime[] getLocalDateTimeArray(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getOffsetDateTimeArray

          public java.time.OffsetDateTime[] getOffsetDateTimeArray(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the position
      Returns:
        the value or `null`

    - #### getUUIDArray

          public UUID[] getUUIDArray(int pos)

      Get an array of value at `pos`.
      Parameters:
        `pos` - the column
      Returns:
        the value or `null`

    - #### addTemporal

          public Tuple addTemporal(java.time.temporal.Temporal value)

      Add a `Temporal` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDate

          public Tuple addLocalDate(java.time.LocalDate value)

      Add a `LocalDate` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalTime

          public Tuple addLocalTime(java.time.LocalTime value)

      Add a `LocalTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateTime

          public Tuple addLocalDateTime(java.time.LocalDateTime value)

      Add a `LocalDateTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetTime

          public Tuple addOffsetTime(java.time.OffsetTime value)

      Add a `OffsetTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetDateTime

          public Tuple addOffsetDateTime(java.time.OffsetDateTime value)

      Add a `OffsetDateTime` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addUUID

          public Tuple addUUID(UUID value)

      Add a `UUID` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBigDecimal

          public Tuple addBigDecimal(BigDecimal value)

      Add a value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addIntegerArray

          public Tuple addIntegerArray(Integer[] value)

      Add an array of `Integer` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addBooleanArray

          public Tuple addBooleanArray(Boolean[] value)

      Add an array of `Boolean` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addShortArray

          public Tuple addShortArray(Short[] value)

      Add an array of `Short` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLongArray

          public Tuple addLongArray(Long[] value)

      Add an array of `Long` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addFloatArray

          public Tuple addFloatArray(Float[] value)

      Add an array of `Float` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addDoubleArray

          public Tuple addDoubleArray(Double[] value)

      Add an array of `Double` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addStringArray

          public Tuple addStringArray(String[] value)

      Add an array of `String` value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateArray

          public Tuple addLocalDateArray(java.time.LocalDate[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalTimeArray

          public Tuple addLocalTimeArray(java.time.LocalTime[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetTimeArray

          public Tuple addOffsetTimeArray(java.time.OffsetTime[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addLocalDateTimeArray

          public Tuple addLocalDateTimeArray(java.time.LocalDateTime[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addOffsetDateTimeArray

          public Tuple addOffsetDateTimeArray(java.time.OffsetDateTime[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### addUUIDArray

          public Tuple addUUIDArray(UUID[] value)

      Add an array of value at the end of the tuple.
      Parameters:
        `value` - the value
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static Tuple newInstance(io.vertx.sqlclient.Tuple arg)

Copyright © 2019 Eclipse. All rights reserved.